package com.trs.project.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 筑龙定时任务时间记录
 * </p>
 *
 * @author trs
 * @since 2023-03-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class TaskRecord extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 数据唯一标识（表名）
     */
    @TableId("table_name")
    private String tableName;

    /**
     * 上次执行时间
     */
    @TableField("last_deal_time")
    private Date lastDealTime;

    /**
     * 执行时间
     */
    @TableField("update_time")
    private Date updateTime;


}
