package com.trs.project.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 1、药采公告 【YC_NOTICE】
 *
 * @author trs
 * @since 2023-03-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class YcNotice extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 数据唯一标识（来源系统）
     */
    @TableId("news_id")
    private String newsId;

    /**
     * 正文
     */
    @TableField("content")
    private String content;

    /**
     * 标题
     */
    @TableField("title")
    private String title;

    /**
     *时间戳
     */
    @TableField("date")
    private Long date;

    /**
     * 来源
     */
    @TableField("source")
    private String source;

    /**
     * 文章地址
     */
    @TableField("url")
    private String url;

}
