package com.trs.project.entity;


import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;


@Data
@TableName("business_info")
public class BusinessInfo  {

    @TableId
    private String id;//企业 id
    private String creditNo;//信用代码
    private String econKind;//企业类型
    private String registCapi;//注册资本(金额数字+1 个空格+万+货币单位)
    private String tags;//1-新三板;6-主板上市公司;40-暂停上市;41- 终止上市;9-香港上市;17-高新企业;
    private String belongOrg;//所属工商局
    private String status;//经营状态(旧字段,不建议使用)
    private String termStart;//营业开始日期
    private String format_name;//标准企业名称(清洗名称)
    private String historyNames;//历史名称
    private String revokeDate;//吊销日期
    private String endDate;//注销日期
    private String regNo;//企业注册号
    private String econKindCode;//企业类型代码
    private String domains;//四级行业
    private String categoryNew;//企业二级分类
    private String address;//地址
    private String orgNo;//组织机构号
    private String districtCode;//地区代码
    private String startDate;//成立日期
    private String scope;//经营范围
    private String Name;//企业名称(国家公示)
    private String newStatus;//经营状态(清洗后状态)1:存续;2:注销;3 :吊销;4:撤销,5:迁出,6:设立中,7:清算中,8:停业,9:其他
    private String operName;//企业法定代表人
    private String title;//公司代表人职务
    private String checkDate;//核准日期
    private String actualCapi;//实缴资本
    private String termEnd;//营业结束日期
    private String currencyUnit;//货币单位
    private String revokeReason;//吊销原因
    private String typeNew;//企业大类 01-大陆企业 02-社会组织03-机关及事业单位 04-港澳台及国外企业 05-律所及其他组织机构
    @TableField(value = "business_type", updateStrategy = FieldStrategy.NEVER)
    private String businessType;//企业类型 1-重点企业 2-风险企业 3-其他企业

    private String tagSizeCode;//企业规模-企业规模代码
    private String tagSizeName;//企业规模-（小微/中型/大型）

    private String city;//城市
    private String managementLocation;//注册地址
    private String bondNum;//股票代码
    private String industry;//行业门类中文字段（国标）
    private String bondName;//简称
    private String approvedTime;//核准日期
    private String socialStaffNum;//参保人数
    private String regInstitute;//等级机关
    private String percentileScore;//企业综合价值

    private String industryChain;//产业领域标签
    private String entQuality;//企业资质

}

