package com.trs.project.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("gc_project")
public class GcProject implements Serializable {
    private static final long serialVersionUID = 808471817147988244L;

    @TableId
    private String sourceDataKey;
    
    private String sourceDataCode;
    
    private String projectCode;
    
    private String projectName;
    
    private String regionCode;
    
    private String relateCode;
    
    private String investProjectCode;
    
    private String address;
    
    private String legalPerson;
    
    private String industriesType;
    
    private String fundSource;
    
    private String contributionScale;
    
    private String projectScale;
    
    private String tendererName;
    
    private String tendererCode;
    
    private String contactor;
    
    private String contactInformation;
    
    private String approvalName;
    
    private String approvalNumber;
    
    private String approvalAuthority;
    
    private String isEmphasisProject;
    
    private String createTime;
    
    private String industryRegulatoryAuthorities;
    
    private String isNationalCapitalHolding;
    
    private String platformCode;
    
    private String pubServicePlatCode;
    
    private String dataTimestamp;
    
    private String tradePlat;
    
    private String pubServicePlat;
    
    private String priceFormCode;
    
    private String investmentUnit;
    
    private String investmentCurrency;
    
    private String totleInvestment;
    
    private String investmentPercent;
    
    private String legalCreditCode;
    
    private String legalAddress;
    
    private String financialFund;
    
    private String selfFund;
    
    private String otherFund;
    
    private String isAgentConstruct;
    
    private String remark;
    
    private String legalRepresentative;
    
    private String dataSourceCode;

}

